
QGIS Application - Bug report #20889

Bug regarding SVG symbols base64 encoding

2018-12-28 11:00 AM - Man Andman

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28708

Description

There is an issue regarding "complex SVG" depiction. As you see in the GIF (► https://gifyu.com/image/w9Ep) when I embed

"monuments SVGs" and then clicked on the base64 code it disappears. But in case of "simple SVGs" the issue is not actual. The same

happens when I link base64 code from a layer data table, they do not appear on the map (► https://gifyu.com/image/wESr). So at the

moment the embed function is unusable for "complex SVGs".

History

#1 - 2018-12-28 12:04 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test on current master - I believe this is already fixed

#2 - 2019-03-09 10:00 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
